package java.game.vehicles.Trabant;

import java.game.*;
import java.game.parts.*;

public class Trabant_wheel extends Wheel
{
	float myinertia = 0.125;

	public Trabant_wheel( int id )
	{
		super( id );
		name = "Wheel";

		{ float[] pac = { 1.902,  0.999,  1.401,  32.4,  0.00080,   6946,  1.00, -0.00350,  0.00,    0.00,  0.00000,  0.000000000,  0.0000000,  0.0000,  0.000,  0.700 };	pacVals_def = pac; } // CRC 2005 tarmac tyres on public road surface //
	}

	public void ModifyPacejkas( float stiffness_mul, float loadcap_mul, float loaddepstiffdeg_mul, float fric_mul, float fricX_mul, float loaddepfricmod_mul )
	{
		pacVals_0[3]  *= stiffness_mul;	pacVals_0[5]  *= loadcap_mul;	if (pacVals_0.length > 7)  pacVals_0[7]  *= loaddepstiffdeg_mul;	pacVals_0[0]  *= fric_mul;	pacVals_0[1]  *= fricX_mul;	if (pacVals_0.length > 10)  pacVals_0[10]  *= loaddepfricmod_mul;
		pacVals_1[3]  *= stiffness_mul;	pacVals_1[5]  *= loadcap_mul;	if (pacVals_1.length > 7)  pacVals_1[7]  *= loaddepstiffdeg_mul;	pacVals_1[0]  *= fric_mul;	pacVals_1[1]  *= fricX_mul;	if (pacVals_1.length > 10)  pacVals_1[10]  *= loaddepfricmod_mul;
		pacVals_2[3]  *= stiffness_mul;	pacVals_2[5]  *= loadcap_mul;	if (pacVals_2.length > 7)  pacVals_2[7]  *= loaddepstiffdeg_mul;	pacVals_2[0]  *= fric_mul;	pacVals_2[1]  *= fricX_mul;	if (pacVals_2.length > 10)  pacVals_2[10]  *= loaddepfricmod_mul;
		pacVals_3[3]  *= stiffness_mul;	pacVals_3[5]  *= loadcap_mul;	if (pacVals_3.length > 7)  pacVals_3[7]  *= loaddepstiffdeg_mul;	pacVals_3[0]  *= fric_mul;	pacVals_3[1]  *= fricX_mul;	if (pacVals_3.length > 10)  pacVals_3[10]  *= loaddepfricmod_mul;
		pacVals_4[3]  *= stiffness_mul;	pacVals_4[5]  *= loadcap_mul;	if (pacVals_4.length > 7)  pacVals_4[7]  *= loaddepstiffdeg_mul;	pacVals_4[0]  *= fric_mul;	pacVals_4[1]  *= fricX_mul;	if (pacVals_4.length > 10)  pacVals_4[10]  *= loaddepfricmod_mul;
		pacVals_5[3]  *= stiffness_mul;	pacVals_5[5]  *= loadcap_mul;	if (pacVals_5.length > 7)  pacVals_5[7]  *= loaddepstiffdeg_mul;	pacVals_5[0]  *= fric_mul;	pacVals_5[1]  *= fricX_mul;	if (pacVals_5.length > 10)  pacVals_5[10]  *= loaddepfricmod_mul;
		pacVals_6[3]  *= stiffness_mul;	pacVals_6[5]  *= loadcap_mul;	if (pacVals_6.length > 7)  pacVals_6[7]  *= loaddepstiffdeg_mul;	pacVals_6[0]  *= fric_mul;	pacVals_6[1]  *= fricX_mul;	if (pacVals_6.length > 10)  pacVals_6[10]  *= loaddepfricmod_mul;
		pacVals_7[3]  *= stiffness_mul;	pacVals_7[5]  *= loadcap_mul;	if (pacVals_7.length > 7)  pacVals_7[7]  *= loaddepstiffdeg_mul;	pacVals_7[0]  *= fric_mul;	pacVals_7[1]  *= fricX_mul;	if (pacVals_7.length > 10)  pacVals_7[10]  *= loaddepfricmod_mul;
		pacVals_8[3]  *= stiffness_mul;	pacVals_8[5]  *= loadcap_mul;	if (pacVals_8.length > 7)  pacVals_8[7]  *= loaddepstiffdeg_mul;	pacVals_8[0]  *= fric_mul;	pacVals_8[1]  *= fricX_mul;	if (pacVals_8.length > 10)  pacVals_8[10]  *= loaddepfricmod_mul;
		pacVals_9[3]  *= stiffness_mul;	pacVals_9[5]  *= loadcap_mul;	if (pacVals_9.length > 7)  pacVals_9[7]  *= loaddepstiffdeg_mul;	pacVals_9[0]  *= fric_mul;	pacVals_9[1]  *= fricX_mul;	if (pacVals_9.length > 10)  pacVals_9[10]  *= loaddepfricmod_mul;
		pacVals_10[3] *= stiffness_mul;	pacVals_10[5] *= loadcap_mul;	if (pacVals_10.length > 7) pacVals_10[7] *= loaddepstiffdeg_mul;	pacVals_10[0] *= fric_mul;	pacVals_10[1] *= fricX_mul;	if (pacVals_10.length > 10) pacVals_10[10] *= loaddepfricmod_mul;
		pacVals_11[3] *= stiffness_mul;	pacVals_11[5] *= loadcap_mul;	if (pacVals_11.length > 7) pacVals_11[7] *= loaddepstiffdeg_mul;	pacVals_11[0] *= fric_mul;	pacVals_11[1] *= fricX_mul;	if (pacVals_11.length > 10) pacVals_11[10] *= loaddepfricmod_mul;
		pacVals_12[3] *= stiffness_mul;	pacVals_12[5] *= loadcap_mul;	if (pacVals_12.length > 7) pacVals_12[7] *= loaddepstiffdeg_mul;	pacVals_12[0] *= fric_mul;	pacVals_12[1] *= fricX_mul;	if (pacVals_12.length > 10) pacVals_12[10] *= loaddepfricmod_mul;
		pacVals_13[3] *= stiffness_mul;	pacVals_13[5] *= loadcap_mul;	if (pacVals_13.length > 7) pacVals_13[7] *= loaddepstiffdeg_mul;	pacVals_13[0] *= fric_mul;	pacVals_13[1] *= fricX_mul;	if (pacVals_13.length > 10) pacVals_13[10] *= loaddepfricmod_mul;
		pacVals_14[3] *= stiffness_mul;	pacVals_14[5] *= loadcap_mul;	if (pacVals_14.length > 7) pacVals_14[7] *= loaddepstiffdeg_mul;	pacVals_14[0] *= fric_mul;	pacVals_14[1] *= fricX_mul;	if (pacVals_14.length > 10) pacVals_14[10] *= loaddepfricmod_mul;
		pacVals_15[3] *= stiffness_mul;	pacVals_15[5] *= loadcap_mul;	if (pacVals_15.length > 7) pacVals_15[7] *= loaddepstiffdeg_mul;	pacVals_15[0] *= fric_mul;	pacVals_15[1] *= fricX_mul;	if (pacVals_15.length > 10) pacVals_15[10] *= loaddepfricmod_mul;
		pacVals_16[3] *= stiffness_mul;	pacVals_16[5] *= loadcap_mul;	if (pacVals_16.length > 7) pacVals_16[7] *= loaddepstiffdeg_mul;	pacVals_16[0] *= fric_mul;	pacVals_16[1] *= fricX_mul;	if (pacVals_16.length > 10) pacVals_16[10] *= loaddepfricmod_mul;
		pacVals_17[3] *= stiffness_mul;	pacVals_17[5] *= loadcap_mul;	if (pacVals_17.length > 7) pacVals_17[7] *= loaddepstiffdeg_mul;	pacVals_17[0] *= fric_mul;	pacVals_17[1] *= fricX_mul;	if (pacVals_17.length > 10) pacVals_17[10] *= loaddepfricmod_mul;
		pacVals_18[3] *= stiffness_mul;	pacVals_18[5] *= loadcap_mul;	if (pacVals_18.length > 7) pacVals_18[7] *= loaddepstiffdeg_mul;	pacVals_18[0] *= fric_mul;	pacVals_18[1] *= fricX_mul;	if (pacVals_18.length > 10) pacVals_18[10] *= loaddepfricmod_mul;
		pacVals_19[3] *= stiffness_mul;	pacVals_19[5] *= loadcap_mul;	if (pacVals_19.length > 7) pacVals_19[7] *= loaddepstiffdeg_mul;	pacVals_19[0] *= fric_mul;	pacVals_19[1] *= fricX_mul;	if (pacVals_19.length > 10) pacVals_19[10] *= loaddepfricmod_mul;
	}

	public void InitPacejkas( int rubbertype, float stiffness_mul, float loadcap_mul, float loaddepstiffdeg_mul, float fric_mul, float fricX_mul, float loaddepfricmod_mul )
	{
		InitPacejkas( rubbertype, stiffness_mul, loadcap_mul, loaddepstiffdeg_mul );
		ModifyPacejkas( 1.000, 1.000, 1.000, fric_mul, fricX_mul, loaddepfricmod_mul );
	}

	public void updatevariables()
	{
		super.updatevariables();
		this_wheel = getWheel();
		if ( this_wheel && myinertia > 0.0 )
			this_wheel.setInertia( myinertia );
	}
}
