package java.game.vehicles.Trabant;

import java.game.*;
import java.game.parts.*;
import java.util.*;
import java.util.resource.*;

public class Trabant_chassis extends Chassis
{
	public static Vector tuni;
	public Vector getTuningStageItems(){ return tuni; }

	static	Vector	decals;

	public Vector getDecals()
	{
		return decals;
	}

	public Trabant_chassis ( int id )
	{
		super( id );

		if( !tuni )
		{
			tuni = new Vector();
			// body //
			tuni.addElement( new TuningStageItem( Tuning.TT_BODY, 999,   vehicles.Trabant:0x00000030r, vehicles.Trabant:0x00000030r, vehicles.Trabant:0x00000030r, vehicles.Trabant:0x00000030r ) ); // "Steering wheel"
			tuni.addElement( new TuningStageItem( Tuning.TT_BODY, 1000,  vehicles.Trabant:0x00000011r, vehicles.Trabant:0x0000009Dr, vehicles.Trabant:0x0000009Dr, vehicles.Trabant:0x0000009Dr ) ); // "Front bumper"
			tuni.addElement( new TuningStageItem( Tuning.TT_BODY, 601,   vehicles.Trabant:0x00000015r, vehicles.Trabant:0x00000015r, vehicles.Trabant:0x00000015r, vehicles.Trabant:0x0000009Fr ) ); // "Hood"
			tuni.addElement( new TuningStageItem( Tuning.TT_BODY, 1002,  vehicles.Trabant:0x0000000Dr, vehicles.Trabant:0x0000000Dr, vehicles.Trabant:0x0000000Dr, vehicles.Trabant:0x0000000Dr ) ); // "Front left door"
			tuni.addElement( new TuningStageItem( Tuning.TT_BODY, 1003,  vehicles.Trabant:0x0000001Br, vehicles.Trabant:0x0000001Br, vehicles.Trabant:0x0000001Br, vehicles.Trabant:0x0000001Br ) ); // "Front right door"
			tuni.addElement( new TuningStageItem( Tuning.TT_BODY, 1001,  vehicles.Trabant:0x00000018r, vehicles.Trabant:0x0000009Er, vehicles.Trabant:0x0000009Er, vehicles.Trabant:0x0000009Er ) ); // "Rear bumper"
			tuni.addElement( new TuningStageItem( Tuning.TT_BODY, 1004,  0,                             0,                             vehicles.Trabant:0x000000A0r, vehicles.Trabant:0x000000A0r ) ); // "Rear wing"
			// tyres //
			tuni.addElement( new TuningStageItem( Tuning.TT_TYRE, 101,   vehicles.Trabant:0x00000053r, /*   tarmac */
			                                                             vehicles.Trabant:0x00000062r, /* off-road */
			                                                             vehicles.Trabant:0x0000006Cr, /*     sand */
			                                                             vehicles.Trabant:0x00000076r, /*   rubble */
			                                                             vehicles.Trabant:0x00000080r  /*   winter */ ) );
			tuni.addElement( new TuningStageItem( Tuning.TT_TYRE, 102,   vehicles.Trabant:0x00000053r, /*   tarmac */
			                                                             vehicles.Trabant:0x00000062r, /* off-road */
			                                                             vehicles.Trabant:0x0000006Cr, /*     sand */
			                                                             vehicles.Trabant:0x00000076r, /*   rubble */
			                                                             vehicles.Trabant:0x00000080r  /*   winter */ ) );
			tuni.addElement( new TuningStageItem( Tuning.TT_TYRE, 103,   vehicles.Trabant:0x00000059r, /*   tarmac */
			                                                             vehicles.Trabant:0x00000063r, /* off-road */
			                                                             vehicles.Trabant:0x0000006Dr, /*     sand */
			                                                             vehicles.Trabant:0x00000077r, /*   rubble */
			                                                             vehicles.Trabant:0x00000081r  /*   winter */ ) );
			tuni.addElement( new TuningStageItem( Tuning.TT_TYRE, 104,   vehicles.Trabant:0x00000059r, /*   tarmac */
			                                                             vehicles.Trabant:0x00000063r, /* off-road */
			                                                             vehicles.Trabant:0x0000006Dr, /*     sand */
			                                                             vehicles.Trabant:0x00000077r, /*   rubble */
			                                                             vehicles.Trabant:0x00000081r  /*   winter */ ) );
		}
		carCategory = PACKAGE;

// steering wheel //
		setSteerWheel(366.0*MM2METER/2.0 - 30.0*MM2METER, 10.0*MM2METER);
// end of steering wheel //

		if ( !decals )
		{
			decals = new Vector();
// decals //
			decals.addElement ( new PartDecal ( 10, PartDecal.DT_2DIGIT_B	,  0.36816,  0.38380,  0.04100,  0.00000,  0.00000,  0.08200 ) );
			decals.addElement ( new PartDecal ( 10, PartDecal.DT_2DIGIT_B	,  0.67637,  0.40918,  0.00000,  0.02500, -0.05000,  0.00000 ) );
			decals.addElement ( new PartDecal ( 10, PartDecal.DT_2DIGIT_B	,  0.05898,  0.40820,  0.00000, -0.02500,  0.05000,  0.00000 ) );
			decals.addElement ( new PartDecal ( 10, PartDecal.DT_2DIGIT_B	, -0.05274,  0.74551,  0.02500,  0.00000,  0.00000,  0.05000 ) );
			decals.addElement ( new PartDecal ( 10, PartDecal.DT_2DIGIT_B	,  0.30273,  0.92539, -0.02500,  0.00000,  0.00000, -0.05000 ) );
			decals.addElement ( new PartDecal (  9, PartDecal.DT_2DIGIT_A	,  0.32716,  0.38380,  0.04100,  0.00000,  0.00000,  0.08200 ) );
			decals.addElement ( new PartDecal (  9, PartDecal.DT_2DIGIT_A	,  0.67637,  0.38418,  0.00000,  0.02500, -0.05000,  0.00000 ) );
			decals.addElement ( new PartDecal (  9, PartDecal.DT_2DIGIT_A	,  0.05898,  0.43320,  0.00000, -0.02500,  0.05000,  0.00000 ) );
			decals.addElement ( new PartDecal (  9, PartDecal.DT_2DIGIT_A	, -0.07774,  0.74551,  0.02500,  0.00000,  0.00000,  0.05000 ) );
			decals.addElement ( new PartDecal (  9, PartDecal.DT_2DIGIT_A	,  0.32773,  0.92539, -0.02500,  0.00000,  0.00000, -0.05000 ) );
			decals.addElement ( new PartDecal (  8, PartDecal.DT_1DIGIT	,  0.34766,  0.38380,  0.04100,  0.00000,  0.00000,  0.08200 ) );
			decals.addElement ( new PartDecal (  8, PartDecal.DT_1DIGIT	,  0.67637,  0.39668,  0.00000,  0.02500, -0.05000,  0.00000 ) );
			decals.addElement ( new PartDecal (  8, PartDecal.DT_1DIGIT	,  0.05898,  0.42070,  0.00000, -0.02500,  0.05000,  0.00000 ) );
			decals.addElement ( new PartDecal (  8, PartDecal.DT_1DIGIT	, -0.06524,  0.74551,  0.02500,  0.00000,  0.00000,  0.05000 ) );
			decals.addElement ( new PartDecal (  8, PartDecal.DT_1DIGIT	,  0.31523,  0.92539, -0.02500,  0.00000,  0.00000, -0.05000 ) );
			decals.addElement ( new PartDecal (  7, PartDecal.DT_DIGIT_PLATE,  0.28616,  0.34280,  0.16400,  0.00000,  0.00000,  0.16400 ) );
			decals.addElement ( new PartDecal (  7, PartDecal.DT_DIGIT_PLATE,  0.70137,  0.35918,  0.00000,  0.10000, -0.10000,  0.00000 ) );
			decals.addElement ( new PartDecal (  7, PartDecal.DT_DIGIT_PLATE,  0.03398,  0.45820,  0.00000, -0.10000,  0.10000,  0.00000 ) );
			decals.addElement ( new PartDecal (  7, PartDecal.DT_DIGIT_PLATE, -0.10274,  0.72051,  0.10000,  0.00000,  0.00000,  0.10000 ) );
			decals.addElement ( new PartDecal (  7, PartDecal.DT_DIGIT_PLATE,  0.35273,  0.95039, -0.10000,  0.00000,  0.00000, -0.10000 ) );
			decals.addElement ( new PartDecal (  6, PartDecal.DT_DECAL	,  0.17288,  0.81732,  0.00000, -0.07800,  0.03900,  0.00000 ) );
			decals.addElement ( new PartDecal (  5, PartDecal.DT_DECAL	,  0.16920,  0.73337, -0.02460, -0.03648,  0.01824, -0.01230 ) );
			decals.addElement ( new PartDecal (  5, PartDecal.DT_DECAL	,  0.80329,  0.56761, -0.00732,  0.06962, -0.03481, -0.00366 ) );
			decals.addElement ( new PartDecal (  4, PartDecal.DT_DECAL	,  0.15724,  0.87074,  0.01432, -0.04160,  0.02080,  0.00716 ) );
			decals.addElement ( new PartDecal (  3, PartDecal.DT_DECAL	,  0.56756,  0.72913, -0.12343,  0.07417, -0.03708, -0.06172 ) );
			decals.addElement ( new PartDecal (  3, PartDecal.DT_DECAL	,  0.79324,  0.86766,  0.00780,  0.06352, -0.03176,  0.00390 ) );
			decals.addElement ( new PartDecal (  2, PartDecal.DT_DECAL	,  0.57500,  0.82168,  0.00000,  0.05000, -0.02500,  0.00000 ) );
			decals.addElement ( new PartDecal (  1, PartDecal.DT_DECAL	,  0.33612,  0.78704, -0.10570, -0.04271,  0.02135, -0.05285 ) );
			decals.addElement ( new PartDecal (  1, PartDecal.DT_DECAL	,  0.90927,  0.23420,  0.00000,  0.09800, -0.04900,  0.00000 ) );
			decals.addElement ( new PartDecal (  0, PartDecal.DT_DECAL	,  0.47512,  0.90930, -0.20000,  0.00000,  0.00000, -0.10000 ) );
			decals.addElement ( new PartDecal (  0, PartDecal.DT_DECAL	,  0.03338,  0.64585,  0.10021, -0.15432,  0.07716,  0.05011 ) );
			decals.addElement ( new PartDecal (  0, PartDecal.DT_DECAL	,  0.66026,  0.46855,  0.00000,  0.18400, -0.09200,  0.00000 ) );
// end of decals //
		}
	}

	int[] SPdReb = { 0, 0, 0, 0 };

	public void updateSuspension_UpdateSpringsAndWheels(float Custom0, float Custom1)
	{
		super.updateSuspension_UpdateSpringsAndWheels(Custom0, Custom1);

		WheelRef whl;

		float SPdamp_F = SPdamp[ WH_FRONT+TS_MIN ] + (SPdamp[ WH_FRONT+TS_MAX ]-SPdamp[ WH_FRONT+TS_MIN ])*Custom1;
		float SPdReb_F = SPdReb[ WH_FRONT+TS_MIN ] + (SPdReb[ WH_FRONT+TS_MAX ]-SPdReb[ WH_FRONT+TS_MIN ])*Custom1;
		float SPdamp_R = SPdamp[  WH_REAR+TS_MIN ] + (SPdamp[  WH_REAR+TS_MAX ]-SPdamp[  WH_REAR+TS_MIN ])*Custom1;
		float SPdReb_R = SPdReb[  WH_REAR+TS_MIN ] + (SPdReb[  WH_REAR+TS_MAX ]-SPdReb[  WH_REAR+TS_MIN ])*Custom1;

		whl = getWheel(0);	if (whl)	whl.setDamping( SPdamp_F, SPdReb_F );
		whl = getWheel(1);	if (whl)	whl.setDamping( SPdamp_F, SPdReb_F );
		whl = getWheel(2);	if (whl)	whl.setDamping( SPdamp_R, SPdReb_R );
		whl = getWheel(3);	if (whl)	whl.setDamping( SPdamp_R, SPdReb_R );
	}

// updateSuspension //
	public void updateSuspension(int Stage, float Custom0, float Custom1)
	{
		updateSuspension_RemoveAntiRollBars();

		switch (Stage)
		{
			case 3:  // 5 presets (0.00 0.25 0.50 0.75 1.00) adjustable //
				// --- front stuffs min->max --- //
				SPforc[ WH_FRONT+TS_MIN ] = 38211;	SPforc[ WH_FRONT+TS_MAX ] = SPforc[ WH_FRONT+TS_MIN ];
				SPdamp[ WH_FRONT+TS_MIN ] = 4271;	SPdamp[ WH_FRONT+TS_MAX ] = SPdamp[ WH_FRONT+TS_MIN ];
				SPdReb[ WH_FRONT+TS_MIN ] = 5394;	SPdReb[ WH_FRONT+TS_MAX ] = SPdReb[ WH_FRONT+TS_MIN ];
				SPrest[ WH_FRONT+TS_MIN ] = 26.0;	SPrest[ WH_FRONT+TS_MAX ] = SPrest[ WH_FRONT+TS_MIN ];
				SPminl[ WH_FRONT+TS_MIN ] = 22.5;	SPminl[ WH_FRONT+TS_MAX ] = SPminl[ WH_FRONT+TS_MIN ];
				SPmaxl[ WH_FRONT+TS_MIN ] = 25.5;	SPmaxl[ WH_FRONT+TS_MAX ] = SPmaxl[ WH_FRONT+TS_MIN ];

				RBforc[ WH_FRONT+TS_MIN ] = 10115;	RBforc[ WH_FRONT+TS_MAX ] = RBforc[ WH_FRONT+TS_MIN ];
				RBdamp[ WH_FRONT+TS_MIN ] = 1011;	RBdamp[ WH_FRONT+TS_MAX ] = RBdamp[ WH_FRONT+TS_MIN ];

				WHcamb[ WH_FRONT+TS_MIN ] = 3.0;	WHcamb[ WH_FRONT+TS_MAX ] = WHcamb[ WH_FRONT+TS_MIN ];
				WHtoea[ WH_FRONT+TS_MIN ] = -0.2;	WHtoea[ WH_FRONT+TS_MAX ] = WHtoea[ WH_FRONT+TS_MIN ];
				WHtrak[ WH_FRONT+TS_MIN ] = -10.0;	WHtrak[ WH_FRONT+TS_MAX ] = WHtrak[ WH_FRONT+TS_MIN ];

				// --- rear stuffs min->max --- //
				SPforc[  WH_REAR+TS_MIN ] = 60525;	SPforc[  WH_REAR+TS_MAX ] = SPforc[  WH_REAR+TS_MIN ];
				SPdamp[  WH_REAR+TS_MIN ] = 6765;	SPdamp[  WH_REAR+TS_MAX ] = SPdamp[  WH_REAR+TS_MIN ];
				SPdReb[  WH_REAR+TS_MIN ] = 8545;	SPdReb[  WH_REAR+TS_MAX ] = SPdReb[  WH_REAR+TS_MIN ];
				SPrest[  WH_REAR+TS_MIN ] = 26.0;	SPrest[  WH_REAR+TS_MAX ] = SPrest[  WH_REAR+TS_MIN ];
				SPminl[  WH_REAR+TS_MIN ] = 22.5;	SPminl[  WH_REAR+TS_MAX ] = SPminl[  WH_REAR+TS_MIN ];
				SPmaxl[  WH_REAR+TS_MIN ] = 25.5;	SPmaxl[  WH_REAR+TS_MAX ] = SPmaxl[  WH_REAR+TS_MIN ];

				RBforc[  WH_REAR+TS_MIN ] = 16021;	RBforc[  WH_REAR+TS_MAX ] = RBforc[  WH_REAR+TS_MIN ];
				RBdamp[  WH_REAR+TS_MIN ] = 1602;	RBdamp[  WH_REAR+TS_MAX ] = RBdamp[  WH_REAR+TS_MIN ];

				WHcamb[  WH_REAR+TS_MIN ] = 2.5;	WHcamb[  WH_REAR+TS_MAX ] = WHcamb[  WH_REAR+TS_MIN ];
				WHtoea[  WH_REAR+TS_MIN ] = 0.2;	WHtoea[  WH_REAR+TS_MAX ] = WHtoea[  WH_REAR+TS_MIN ];
				WHtrak[  WH_REAR+TS_MIN ] = 20.0;	WHtrak[  WH_REAR+TS_MAX ] = WHtrak[  WH_REAR+TS_MIN ];
				break;
			case 2:  // 5 presets (0.00 0.25 0.50 0.75 1.00) unadjustable //
				// --- front stuffs min->max --- //
				SPforc[ WH_FRONT+TS_MIN ] = 38211;	SPforc[ WH_FRONT+TS_MAX ] = SPforc[ WH_FRONT+TS_MIN ];
				SPdamp[ WH_FRONT+TS_MIN ] = 4271;	SPdamp[ WH_FRONT+TS_MAX ] = SPdamp[ WH_FRONT+TS_MIN ];
				SPdReb[ WH_FRONT+TS_MIN ] = 5394;	SPdReb[ WH_FRONT+TS_MAX ] = SPdReb[ WH_FRONT+TS_MIN ];
				SPrest[ WH_FRONT+TS_MIN ] = 26.0;	SPrest[ WH_FRONT+TS_MAX ] = SPrest[ WH_FRONT+TS_MIN ];
				SPminl[ WH_FRONT+TS_MIN ] = 22.5;	SPminl[ WH_FRONT+TS_MAX ] = SPminl[ WH_FRONT+TS_MIN ];
				SPmaxl[ WH_FRONT+TS_MIN ] = 25.5;	SPmaxl[ WH_FRONT+TS_MAX ] = SPmaxl[ WH_FRONT+TS_MIN ];

				RBforc[ WH_FRONT+TS_MIN ] = 10115;	RBforc[ WH_FRONT+TS_MAX ] = RBforc[ WH_FRONT+TS_MIN ];
				RBdamp[ WH_FRONT+TS_MIN ] = 1011;	RBdamp[ WH_FRONT+TS_MAX ] = RBdamp[ WH_FRONT+TS_MIN ];

				WHcamb[ WH_FRONT+TS_MIN ] = 4.0;	WHcamb[ WH_FRONT+TS_MAX ] = WHcamb[ WH_FRONT+TS_MIN ];
				WHtoea[ WH_FRONT+TS_MIN ] = -0.2;	WHtoea[ WH_FRONT+TS_MAX ] = WHtoea[ WH_FRONT+TS_MIN ];
				WHtrak[ WH_FRONT+TS_MIN ] = -10.0;	WHtrak[ WH_FRONT+TS_MAX ] = WHtrak[ WH_FRONT+TS_MIN ];

				// --- rear stuffs min->max --- //
				SPforc[  WH_REAR+TS_MIN ] = 60525;	SPforc[  WH_REAR+TS_MAX ] = SPforc[  WH_REAR+TS_MIN ];
				SPdamp[  WH_REAR+TS_MIN ] = 6765;	SPdamp[  WH_REAR+TS_MAX ] = SPdamp[  WH_REAR+TS_MIN ];
				SPdReb[  WH_REAR+TS_MIN ] = 8545;	SPdReb[  WH_REAR+TS_MAX ] = SPdReb[  WH_REAR+TS_MIN ];
				SPrest[  WH_REAR+TS_MIN ] = 26.0;	SPrest[  WH_REAR+TS_MAX ] = SPrest[  WH_REAR+TS_MIN ];
				SPminl[  WH_REAR+TS_MIN ] = 22.5;	SPminl[  WH_REAR+TS_MAX ] = SPminl[  WH_REAR+TS_MIN ];
				SPmaxl[  WH_REAR+TS_MIN ] = 25.5;	SPmaxl[  WH_REAR+TS_MAX ] = SPmaxl[  WH_REAR+TS_MIN ];

				RBforc[  WH_REAR+TS_MIN ] = 16021;	RBforc[  WH_REAR+TS_MAX ] = RBforc[  WH_REAR+TS_MIN ];
				RBdamp[  WH_REAR+TS_MIN ] = 1602;	RBdamp[  WH_REAR+TS_MAX ] = RBdamp[  WH_REAR+TS_MIN ];

				WHcamb[  WH_REAR+TS_MIN ] = 1.0;	WHcamb[  WH_REAR+TS_MAX ] = WHcamb[  WH_REAR+TS_MIN ];
				WHtoea[  WH_REAR+TS_MIN ] = 0.2;	WHtoea[  WH_REAR+TS_MAX ] = WHtoea[  WH_REAR+TS_MIN ];
				WHtrak[  WH_REAR+TS_MIN ] = 0.0;	WHtrak[  WH_REAR+TS_MAX ] = WHtrak[  WH_REAR+TS_MIN ];
				break;
			case 1:  // 3 presets (0.00      0.50      1.00) unadjustable //
				// --- front stuffs min->max --- //
				SPforc[ WH_FRONT+TS_MIN ] = 38211;	SPforc[ WH_FRONT+TS_MAX ] = SPforc[ WH_FRONT+TS_MIN ];
				SPdamp[ WH_FRONT+TS_MIN ] = 4271;	SPdamp[ WH_FRONT+TS_MAX ] = SPdamp[ WH_FRONT+TS_MIN ];
				SPdReb[ WH_FRONT+TS_MIN ] = 5394;	SPdReb[ WH_FRONT+TS_MAX ] = SPdReb[ WH_FRONT+TS_MIN ];
				SPrest[ WH_FRONT+TS_MIN ] = 26.0;	SPrest[ WH_FRONT+TS_MAX ] = SPrest[ WH_FRONT+TS_MIN ];
				SPminl[ WH_FRONT+TS_MIN ] = 22.5;	SPminl[ WH_FRONT+TS_MAX ] = SPminl[ WH_FRONT+TS_MIN ];
				SPmaxl[ WH_FRONT+TS_MIN ] = 25.5;	SPmaxl[ WH_FRONT+TS_MAX ] = SPmaxl[ WH_FRONT+TS_MIN ];

				RBforc[ WH_FRONT+TS_MIN ] = 10115;	RBforc[ WH_FRONT+TS_MAX ] = RBforc[ WH_FRONT+TS_MIN ];
				RBdamp[ WH_FRONT+TS_MIN ] = 1011;	RBdamp[ WH_FRONT+TS_MAX ] = RBdamp[ WH_FRONT+TS_MIN ];

				WHcamb[ WH_FRONT+TS_MIN ] = 3.0;	WHcamb[ WH_FRONT+TS_MAX ] = WHcamb[ WH_FRONT+TS_MIN ];
				WHtoea[ WH_FRONT+TS_MIN ] = 0.0;	WHtoea[ WH_FRONT+TS_MAX ] = WHtoea[ WH_FRONT+TS_MIN ];
				WHtrak[ WH_FRONT+TS_MIN ] = -10.0;	WHtrak[ WH_FRONT+TS_MAX ] = WHtrak[ WH_FRONT+TS_MIN ];

				// --- rear stuffs min->max --- //
				SPforc[  WH_REAR+TS_MIN ] = 60525;	SPforc[  WH_REAR+TS_MAX ] = SPforc[  WH_REAR+TS_MIN ];
				SPdamp[  WH_REAR+TS_MIN ] = 6765;	SPdamp[  WH_REAR+TS_MAX ] = SPdamp[  WH_REAR+TS_MIN ];
				SPdReb[  WH_REAR+TS_MIN ] = 8545;	SPdReb[  WH_REAR+TS_MAX ] = SPdReb[  WH_REAR+TS_MIN ];
				SPrest[  WH_REAR+TS_MIN ] = 26.0;	SPrest[  WH_REAR+TS_MAX ] = SPrest[  WH_REAR+TS_MIN ];
				SPminl[  WH_REAR+TS_MIN ] = 22.5;	SPminl[  WH_REAR+TS_MAX ] = SPminl[  WH_REAR+TS_MIN ];
				SPmaxl[  WH_REAR+TS_MIN ] = 25.5;	SPmaxl[  WH_REAR+TS_MAX ] = SPmaxl[  WH_REAR+TS_MIN ];

				RBforc[  WH_REAR+TS_MIN ] = 16021;	RBforc[  WH_REAR+TS_MAX ] = RBforc[  WH_REAR+TS_MIN ];
				RBdamp[  WH_REAR+TS_MIN ] = 1602;	RBdamp[  WH_REAR+TS_MAX ] = RBdamp[  WH_REAR+TS_MIN ];

				WHcamb[  WH_REAR+TS_MIN ] = 0.0;	WHcamb[  WH_REAR+TS_MAX ] = WHcamb[  WH_REAR+TS_MIN ];
				WHtoea[  WH_REAR+TS_MIN ] = 0.0;	WHtoea[  WH_REAR+TS_MAX ] = WHtoea[  WH_REAR+TS_MIN ];
				WHtrak[  WH_REAR+TS_MIN ] = 0.0;	WHtrak[  WH_REAR+TS_MAX ] = WHtrak[  WH_REAR+TS_MIN ];
				break;
			default: // unadjustable //
				// --- front stuffs min->max --- //
				SPforc[ WH_FRONT+TS_MIN ] = 38211;	SPforc[ WH_FRONT+TS_MAX ] = SPforc[ WH_FRONT+TS_MIN ];
				SPdamp[ WH_FRONT+TS_MIN ] = 4271;	SPdamp[ WH_FRONT+TS_MAX ] = SPdamp[ WH_FRONT+TS_MIN ];
				SPdReb[ WH_FRONT+TS_MIN ] = 5394;	SPdReb[ WH_FRONT+TS_MAX ] = SPdReb[ WH_FRONT+TS_MIN ];
				SPrest[ WH_FRONT+TS_MIN ] = 26.0;	SPrest[ WH_FRONT+TS_MAX ] = SPrest[ WH_FRONT+TS_MIN ];
				SPminl[ WH_FRONT+TS_MIN ] = 22.5;	SPminl[ WH_FRONT+TS_MAX ] = SPminl[ WH_FRONT+TS_MIN ];
				SPmaxl[ WH_FRONT+TS_MIN ] = 25.5;	SPmaxl[ WH_FRONT+TS_MAX ] = SPmaxl[ WH_FRONT+TS_MIN ];

				RBforc[ WH_FRONT+TS_MIN ] = 10115;	RBforc[ WH_FRONT+TS_MAX ] = RBforc[ WH_FRONT+TS_MIN ];
				RBdamp[ WH_FRONT+TS_MIN ] = 1011;	RBdamp[ WH_FRONT+TS_MAX ] = RBdamp[ WH_FRONT+TS_MIN ];

				WHcamb[ WH_FRONT+TS_MIN ] = 0.0;	WHcamb[ WH_FRONT+TS_MAX ] = WHcamb[ WH_FRONT+TS_MIN ];
				WHtoea[ WH_FRONT+TS_MIN ] = 0.0;	WHtoea[ WH_FRONT+TS_MAX ] = WHtoea[ WH_FRONT+TS_MIN ];
				WHtrak[ WH_FRONT+TS_MIN ] = 0.0;	WHtrak[ WH_FRONT+TS_MAX ] = WHtrak[ WH_FRONT+TS_MIN ];

				// --- rear stuffs min->max --- //
				SPforc[  WH_REAR+TS_MIN ] = 60525;	SPforc[  WH_REAR+TS_MAX ] = SPforc[  WH_REAR+TS_MIN ];
				SPdamp[  WH_REAR+TS_MIN ] = 6765;	SPdamp[  WH_REAR+TS_MAX ] = SPdamp[  WH_REAR+TS_MIN ];
				SPdReb[  WH_REAR+TS_MIN ] = 8545;	SPdReb[  WH_REAR+TS_MAX ] = SPdReb[  WH_REAR+TS_MIN ];
				SPrest[  WH_REAR+TS_MIN ] = 26.0;	SPrest[  WH_REAR+TS_MAX ] = SPrest[  WH_REAR+TS_MIN ];
				SPminl[  WH_REAR+TS_MIN ] = 22.5;	SPminl[  WH_REAR+TS_MAX ] = SPminl[  WH_REAR+TS_MIN ];
				SPmaxl[  WH_REAR+TS_MIN ] = 25.5;	SPmaxl[  WH_REAR+TS_MAX ] = SPmaxl[  WH_REAR+TS_MIN ];

				RBforc[  WH_REAR+TS_MIN ] = 16021;	RBforc[  WH_REAR+TS_MAX ] = RBforc[  WH_REAR+TS_MIN ];
				RBdamp[  WH_REAR+TS_MIN ] = 1602;	RBdamp[  WH_REAR+TS_MAX ] = RBdamp[  WH_REAR+TS_MIN ];

				WHcamb[  WH_REAR+TS_MIN ] = 0.0;	WHcamb[  WH_REAR+TS_MAX ] = WHcamb[  WH_REAR+TS_MIN ];
				WHtoea[  WH_REAR+TS_MIN ] = 0.0;	WHtoea[  WH_REAR+TS_MAX ] = WHtoea[  WH_REAR+TS_MIN ];
				WHtrak[  WH_REAR+TS_MIN ] = 0.0;	WHtrak[  WH_REAR+TS_MAX ] = WHtrak[  WH_REAR+TS_MIN ];
				break;
		}

		updateSuspension_UpdateSpringsAndWheels( Custom0, Custom1 );
		updateSuspension_AddAntiRollBars( Custom0, Custom1 );
	}
// end of updateSuspension //

// updateBrake //
	public void updateBrake(int Stage, float Custom0, float Custom1)
	{
		switch (Stage)
		{
			case 3:  // 5 presets (0.00 0.25 0.50 0.75 1.00) adjustable //
				DTbrak_F[TS_MIN] = 2200;	DTbrak_F[TS_MAX] = DTbrak_F[TS_MIN];
				DTbrak_R[TS_MIN] = 1800;	DTbrak_R[TS_MAX] = DTbrak_R[TS_MIN];
				DTbrak_Em = 1800;
				break;
			case 2:  // 5 presets (0.00 0.25 0.50 0.75 1.00) unadjustable //
				DTbrak_F[TS_MIN] = 2200;	DTbrak_F[TS_MAX] = DTbrak_F[TS_MIN];
				DTbrak_R[TS_MIN] = 1800;	DTbrak_R[TS_MAX] = DTbrak_R[TS_MIN];
				DTbrak_Em = 1800;
				break;
			case 1:  // 3 presets (0.00      0.50      1.00) unadjustable //
				DTbrak_F[TS_MIN] = 1800;	DTbrak_F[TS_MAX] = DTbrak_F[TS_MIN];
				DTbrak_R[TS_MIN] = 1800;	DTbrak_R[TS_MAX] = DTbrak_R[TS_MIN];
				DTbrak_Em = 1800;
				break;
			default: // unadjustable //
				DTbrak_F[TS_MIN] = 1800;	DTbrak_F[TS_MAX] = DTbrak_F[TS_MIN];
				DTbrak_R[TS_MIN] = 1800;	DTbrak_R[TS_MAX] = DTbrak_R[TS_MIN];
				DTbrak_Em = 1800;
				break;
		}

		super.updateBrake( Stage, Custom0, Custom1 );
	}
// end of updateBrake //

// updateTransmission //
	public void updateTransmission(int Stage, float Custom0, float Custom1)
	{
		switch (Stage)
		{
			case 3:  // 3 presets (0.00      0.50      1.00) adjustable //
				gears = 6;
				DTgear[TS_MIN*8+0] =  0.000; DTgear[TS_MAX*8+0] = DTgear[TS_MIN*8+0];
				DTgear[TS_MIN*8+1] =  3.820; DTgear[TS_MAX*8+1] = DTgear[TS_MIN*8+1];
				DTgear[TS_MIN*8+2] =  2.150; DTgear[TS_MAX*8+2] = DTgear[TS_MIN*8+2];
				DTgear[TS_MIN*8+3] =  1.560; DTgear[TS_MAX*8+3] = DTgear[TS_MIN*8+3];
				DTgear[TS_MIN*8+4] =  1.210; DTgear[TS_MAX*8+4] = DTgear[TS_MIN*8+4];
				DTgear[TS_MIN*8+5] =  0.970; DTgear[TS_MAX*8+5] = DTgear[TS_MIN*8+5];
				DTgear[TS_MIN*8+6] =  0.820; DTgear[TS_MAX*8+6] = DTgear[TS_MIN*8+6];
				DTgear[TS_MIN*8+7] = -3.600; DTgear[TS_MAX*8+7] = DTgear[TS_MIN*8+7];
				DTendr[TS_MIN]     =  3.440; DTendr[TS_MAX]     = DTendr[TS_MIN];
				setTransmissionTimes(0,0.100, 0.200, 1.000, 0.075, 0.200, 1.000);
				ClutchF = 1300.0;
				break;
			case 2:  // 3 presets (0.00      0.50      1.00) unadjustable //
				gears = 6;
				DTgear[TS_MIN*8+0] =  0.000; DTgear[TS_MAX*8+0] = DTgear[TS_MIN*8+0];
				DTgear[TS_MIN*8+1] =  3.820; DTgear[TS_MAX*8+1] = DTgear[TS_MIN*8+1];
				DTgear[TS_MIN*8+2] =  2.050; DTgear[TS_MAX*8+2] = DTgear[TS_MIN*8+2];
				DTgear[TS_MIN*8+3] =  1.410; DTgear[TS_MAX*8+3] = DTgear[TS_MIN*8+3];
				DTgear[TS_MIN*8+4] =  1.120; DTgear[TS_MAX*8+4] = DTgear[TS_MIN*8+4];
				DTgear[TS_MIN*8+5] =  0.920; DTgear[TS_MAX*8+5] = DTgear[TS_MIN*8+5];
				DTgear[TS_MIN*8+6] =  0.750; DTgear[TS_MAX*8+6] = DTgear[TS_MIN*8+6];
				DTgear[TS_MIN*8+7] = -3.630; DTgear[TS_MAX*8+7] = DTgear[TS_MIN*8+7];
				DTendr[TS_MIN]     =  3.440; DTendr[TS_MAX]     = DTendr[TS_MIN];
				setTransmissionTimes(0,0.100, 0.200, 1.000, 0.075, 0.200, 1.000);
				ClutchF = 1100.0;
				break;
			case 1:  // 2 presets (0.00                1.00) unadjustable //
				gears = 6;
				DTgear[TS_MIN*8+0] =  0.000; DTgear[TS_MAX*8+0] = DTgear[TS_MIN*8+0];
				DTgear[TS_MIN*8+1] =  3.820; DTgear[TS_MAX*8+1] = DTgear[TS_MIN*8+1];
				DTgear[TS_MIN*8+2] =  2.150; DTgear[TS_MAX*8+2] = DTgear[TS_MIN*8+2];
				DTgear[TS_MIN*8+3] =  1.560; DTgear[TS_MAX*8+3] = DTgear[TS_MIN*8+3];
				DTgear[TS_MIN*8+4] =  1.210; DTgear[TS_MAX*8+4] = DTgear[TS_MIN*8+4];
				DTgear[TS_MIN*8+5] =  0.970; DTgear[TS_MAX*8+5] = DTgear[TS_MIN*8+5];
				DTgear[TS_MIN*8+6] =  0.820; DTgear[TS_MAX*8+6] = DTgear[TS_MIN*8+6];
				DTgear[TS_MIN*8+7] = -3.630; DTgear[TS_MAX*8+7] = DTgear[TS_MIN*8+7];
				DTendr[TS_MIN]     =  3.440; DTendr[TS_MAX]     = DTendr[TS_MIN];
				setTransmissionTimes(0,0.100, 0.200, 1.000, 0.075, 0.200, 1.000);
				ClutchF = 1000.0;
				break;
			default: // unadjustable //
				gears = 6;
				DTgear[TS_MIN*8+0] =  0.000; DTgear[TS_MAX*8+0] = DTgear[TS_MIN*8+0];
				DTgear[TS_MIN*8+1] =  3.820; DTgear[TS_MAX*8+1] = DTgear[TS_MIN*8+1];
				DTgear[TS_MIN*8+2] =  2.200; DTgear[TS_MAX*8+2] = DTgear[TS_MIN*8+2];
				DTgear[TS_MIN*8+3] =  1.520; DTgear[TS_MAX*8+3] = DTgear[TS_MIN*8+3];
				DTgear[TS_MIN*8+4] =  1.220; DTgear[TS_MAX*8+4] = DTgear[TS_MIN*8+4];
				DTgear[TS_MIN*8+5] =  1.020; DTgear[TS_MAX*8+5] = DTgear[TS_MIN*8+5];
				DTgear[TS_MIN*8+6] =  0.840; DTgear[TS_MAX*8+6] = DTgear[TS_MIN*8+6];
				DTgear[TS_MIN*8+7] = -3.600; DTgear[TS_MAX*8+7] = DTgear[TS_MIN*8+7];
				DTendr[TS_MIN]     =  3.440; DTendr[TS_MAX]     = DTendr[TS_MIN];
				setTransmissionTimes(0,0.100, 0.200, 1.000, 0.075, 0.200, 1.000);
				ClutchF = 950.0;
				break;
		}

		Trabant_sounds.setTransmissionSounds( this, Stage );
		super.updateTransmission( Stage, Custom0, Custom1 );
	}
// end of updateTransmission //

// updateDrivetrain //
	public void updateDrivetrain(int Stage, float Custom0, float Custom1)
	{
		switch (Stage)
		{
			case 3:  // freely adjustable                    +10 preset diff.lock (0.00 0.11 0.22 0.33 0.44 0.55 0.66 0.77 0.88 1.00)  //
				DTdriv[TS_MIN] =  1.00;	DTdriv[TS_MAX] =  0.00;
				DTdiff[TS_MIN] =  0.00;	DTdiff[TS_MAX] =  0.35;
				break;
			case 2:  // 3 presets (0.00      0.50      1.00) + 3 preset diff.lock (0.00                   0.50                  1.00) //
				DTdriv[TS_MIN] =  1.00;	DTdriv[TS_MAX] =  0.00;
				DTdiff[TS_MIN] =  0.00;	DTdiff[TS_MAX] =  0.00;
				break;
			case 1:  // 2 presets (0.00                1.00) unadjustable //
				DTdriv[TS_MIN] =  0.00;	DTdriv[TS_MAX] =  0.00;
				DTdiff[TS_MIN] =  0.00;	DTdiff[TS_MAX] =  0.00;
				break;
			default: // unadjustable //
				DTdriv[TS_MIN] =  1.00;	DTdriv[TS_MAX] =  1.00;
				DTdiff[TS_MIN] =  0.00;	DTdiff[TS_MAX] =  0.00;
				break;
		}

		super.updateDrivetrain(Stage,Custom0,Custom1);
	}
// end of updateDrivetrain //

// updateEngine //
	public void updateEngine(int Stage, float Custom0, float Custom1)
	{
		dynodata.clear();

		float[]	tq;
		float	maxrpm;

		switch (Stage)
		{
			case 3:
				starter_torque = 60.0;
				engine_rpm_idle = 880.0;
				RPM_limit = 7800.0;

				engine_friction_fwd = 0.00100000;
				engine_friction_rev = 0.00100000;
				engine_inertia = 0.300;

				{ float[] bt = { 25.000,  12.000,   0.750,   0.000 }; engineBrakeTorque = bt; };
				{ float[] cl = { 0.000, 150.000,  25.000,   0.000 }; throttleClosedLoss = cl; };

				// torque table //
				maxrpm = 8000.0;
				tq = new float[80];
				tq[0] = 0.0;
				tq[1] = 18.0;
				tq[2] = 36.0;
				tq[3] = 54.0;
				tq[4] = 72.0;
				tq[5] = 90.0;
				tq[6] = 108.0;
				tq[7] = 126.0;
				tq[8] = 144.0;
				tq[9] = 162.0;
				tq[10] = 167.0;
				tq[11] = 172.0;
				tq[12] = 176.0;
				tq[13] = 181.0;
				tq[14] = 186.0;
				tq[15] = 191.0;
				tq[16] = 195.0;
				tq[17] = 200.0;
				tq[18] = 205.0;
				tq[19] = 210.0;
				tq[20] = 214.0;
				tq[21] = 219.0;
				tq[22] = 224.0;
				tq[23] = 229.0;
				tq[24] = 232.0;
				tq[25] = 233.0;
				tq[26] = 231.0;
				tq[27] = 229.0;
				tq[28] = 236.0;
				tq[29] = 243.0;
				tq[30] = 251.0;
				tq[31] = 258.0;
				tq[32] = 266.0;
				tq[33] = 273.0;
				tq[34] = 275.0;
				tq[35] = 277.0;
				tq[36] = 277.0;
				tq[37] = 278.0;
				tq[38] = 279.0;
				tq[39] = 280.0;
				tq[40] = 282.0;
				tq[41] = 281.0;
				tq[42] = 279.0;
				tq[43] = 277.0;
				tq[44] = 275.0;
				tq[45] = 275.0;
				tq[46] = 279.0;
				tq[47] = 284.0;
				tq[48] = 289.0;
				tq[49] = 296.0;
				tq[50] = 303.0;
				tq[51] = 310.0;
				tq[52] = 315.0;
				tq[53] = 317.0;
				tq[54] = 316.0;
				tq[55] = 314.0;
				tq[56] = 310.0;
				tq[57] = 307.0;
				tq[58] = 303.0;
				tq[59] = 300.0;
				tq[60] = 298.0;
				tq[61] = 297.0;
				tq[62] = 298.0;
				tq[63] = 302.0;
				tq[64] = 305.0;
				tq[65] = 308.0;
				tq[66] = 311.0;
				tq[67] = 311.0;
				tq[68] = 309.0;
				tq[69] = 308.0;
				tq[70] = 307.0;
				tq[71] = 306.0;
				tq[72] = 305.0;
				tq[73] = 303.0;
				tq[74] = 301.0;
				tq[75] = 299.0;
				tq[76] = 294.0;
				tq[77] = 290.0;
				tq[78] = 285.0;
				tq[79] = 0.0;

				break;
			case 2:
				starter_torque = 80.0;
				engine_rpm_idle = 750.0;
				RPM_limit = 6600.0;

				engine_friction_fwd = 0.00100000;
				engine_friction_rev = 0.00100000;
				engine_inertia = 0.400;

				{ float[] bt = { 25.000,  12.000,   0.750,   0.000 }; engineBrakeTorque = bt; };
				{ float[] cl = { 0.000,  90.000,  25.000,  3.000 }; throttleClosedLoss = cl; };

				// torque table //
				maxrpm = 6700.0;
				tq = new float[67];
				tq[0] = 0.0;
				tq[1] = 12.0;
				tq[2] = 24.0;
				tq[3] = 36.0;
				tq[4] = 48.0;
				tq[5] = 60.0;
				tq[6] = 72.0;
				tq[7] = 84.0;
				tq[8] = 96.0;
				tq[9] = 108.0;
				tq[10] = 120.0;
				tq[11] = 132.0;
				tq[12] = 144.0;
				tq[13] = 156.0;
				tq[14] = 168.0;
				tq[15] = 180.0;
				tq[16] = 191.0;
				tq[17] = 203.0;
				tq[18] = 215.0;
				tq[19] = 229.0;
				tq[20] = 245.0;
				tq[21] = 261.0;
				tq[22] = 276.0;
				tq[23] = 287.0;
				tq[24] = 298.0;
				tq[25] = 308.0;
				tq[26] = 319.0;
				tq[27] = 325.0;
				tq[28] = 333.0;
				tq[29] = 350.0;
				tq[30] = 368.0;
				tq[31] = 385.0;
				tq[32] = 403.0;
				tq[33] = 424.0;
				tq[34] = 445.0;
				tq[35] = 466.0;
				tq[36] = 491.0;
				tq[37] = 518.0;
				tq[38] = 546.0;
				tq[39] = 574.0;
				tq[40] = 597.0;
				tq[41] = 618.0;
				tq[42] = 630.0;
				tq[43] = 637.0;
				tq[44] = 636.0;
				tq[45] = 626.0;
				tq[46] = 617.0;
				tq[47] = 606.0;
				tq[48] = 594.0;
				tq[49] = 582.0;
				tq[50] = 571.0;
				tq[51] = 559.0;
				tq[52] = 548.0;
				tq[53] = 537.0;
				tq[54] = 533.0;
				tq[55] = 529.0;
				tq[56] = 522.0;
				tq[57] = 514.0;
				tq[58] = 507.0;
				tq[59] = 498.0;
				tq[60] = 489.0;
				tq[61] = 477.0;
				tq[62] = 464.0;
				tq[63] = 434.0;
				tq[64] = 408.0;
				tq[65] = 399.0;
				tq[66] = 0.0;

				break;
			case 1:
				starter_torque = 60.0;
				engine_rpm_idle = 850.0;
				RPM_limit = 7000.0;

				engine_friction_fwd = 0.00100000;
				engine_friction_rev = 0.00100000;
				engine_inertia = 0.330;

				{ float[] bt = { 25.000,  12.000,   0.750,   0.000 }; engineBrakeTorque = bt; };
				{ float[] cl = { 0.000, 150.000,  25.000,   0.000 }; throttleClosedLoss = cl; };

				// torque table //
				maxrpm = 7100.0;
				tq = new float[71];
				tq[0] = 0.0;
				tq[1] = 18.0;
				tq[2] = 36.0;
				tq[3] = 54.0;
				tq[4] = 72.0;
				tq[5] = 90.0;
				tq[6] = 108.0;
				tq[7] = 126.0;
				tq[8] = 144.0;
				tq[9] = 162.0;
				tq[10] = 168.0;
				tq[11] = 174.0;
				tq[12] = 179.0;
				tq[13] = 185.0;
				tq[14] = 191.0;
				tq[15] = 197.0;
				tq[16] = 203.0;
				tq[17] = 209.0;
				tq[18] = 214.0;
				tq[19] = 220.0;
				tq[20] = 226.0;
				tq[21] = 227.0;
				tq[22] = 229.0;
				tq[23] = 230.0;
				tq[24] = 232.0;
				tq[25] = 233.0;
				tq[26] = 232.0;
				tq[27] = 230.0;
				tq[28] = 232.0;
				tq[29] = 235.0;
				tq[30] = 238.0;
				tq[31] = 242.0;
				tq[32] = 244.0;
				tq[33] = 243.0;
				tq[34] = 243.0;
				tq[35] = 244.0;
				tq[36] = 246.0;
				tq[37] = 251.0;
				tq[38] = 254.0;
				tq[39] = 255.0;
				tq[40] = 256.0;
				tq[41] = 260.0;
				tq[42] = 264.0;
				tq[43] = 268.0;
				tq[44] = 273.0;
				tq[45] = 278.0;
				tq[46] = 279.0;
				tq[47] = 278.0;
				tq[48] = 276.0;
				tq[49] = 274.0;
				tq[50] = 272.0;
				tq[51] = 270.0;
				tq[52] = 268.0;
				tq[53] = 264.0;
				tq[54] = 260.0;
				tq[55] = 256.0;
				tq[56] = 251.0;
				tq[57] = 248.0;
				tq[58] = 247.0;
				tq[59] = 250.0;
				tq[60] = 252.0;
				tq[61] = 255.0;
				tq[62] = 253.0;
				tq[63] = 250.0;
				tq[64] = 248.0;
				tq[65] = 245.0;
				tq[66] = 241.0;
				tq[67] = 237.0;
				tq[68] = 233.0;
				tq[69] = 229.0;
				tq[70] = 0.0;

				break;
			default:
				starter_torque = 60.0;
				engine_rpm_idle = 850.0;
				RPM_limit = 7000.0;

				engine_friction_fwd = 0.00100000;
				engine_friction_rev = 0.00100000;
				engine_inertia = 0.330;

				{ float[] bt = { 25.000,  12.000,   0.750,   0.000 }; engineBrakeTorque = bt; };
				{ float[] cl = { 0.000, 150.000,  25.000,   0.000 }; throttleClosedLoss = cl; };

				// torque table //
				maxrpm = 7100.0;
				tq = new float[71];
				tq[0] = 0.0;
				tq[1] = 18.0;
				tq[2] = 36.0;
				tq[3] = 54.0;
				tq[4] = 72.0;
				tq[5] = 90.0;
				tq[6] = 108.0;
				tq[7] = 126.0;
				tq[8] = 144.0;
				tq[9] = 162.0;
				tq[10] = 168.0;
				tq[11] = 174.0;
				tq[12] = 179.0;
				tq[13] = 185.0;
				tq[14] = 191.0;
				tq[15] = 197.0;
				tq[16] = 203.0;
				tq[17] = 209.0;
				tq[18] = 214.0;
				tq[19] = 220.0;
				tq[20] = 226.0;
				tq[21] = 227.0;
				tq[22] = 229.0;
				tq[23] = 230.0;
				tq[24] = 232.0;
				tq[25] = 233.0;
				tq[26] = 232.0;
				tq[27] = 230.0;
				tq[28] = 232.0;
				tq[29] = 235.0;
				tq[30] = 238.0;
				tq[31] = 242.0;
				tq[32] = 244.0;
				tq[33] = 243.0;
				tq[34] = 243.0;
				tq[35] = 244.0;
				tq[36] = 246.0;
				tq[37] = 251.0;
				tq[38] = 254.0;
				tq[39] = 255.0;
				tq[40] = 256.0;
				tq[41] = 260.0;
				tq[42] = 264.0;
				tq[43] = 268.0;
				tq[44] = 273.0;
				tq[45] = 278.0;
				tq[46] = 279.0;
				tq[47] = 278.0;
				tq[48] = 276.0;
				tq[49] = 274.0;
				tq[50] = 272.0;
				tq[51] = 270.0;
				tq[52] = 268.0;
				tq[53] = 264.0;
				tq[54] = 260.0;
				tq[55] = 256.0;
				tq[56] = 251.0;
				tq[57] = 248.0;
				tq[58] = 247.0;
				tq[59] = 250.0;
				tq[60] = 252.0;
				tq[61] = 255.0;
				tq[62] = 253.0;
				tq[63] = 250.0;
				tq[64] = 248.0;
				tq[65] = 245.0;
				tq[66] = 241.0;
				tq[67] = 237.0;
				tq[68] = 233.0;
				tq[69] = 229.0;
				tq[70] = 0.0;

				break;
		}

		Trabant_sounds.setEngineSounds( this, Stage );
		dynodata.setTorques(0, maxrpm, tq);
		setEngineLosses();
	}
// end of updateEngine //
}
